textures/phantgothic/tp_metal_fence_grate
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/phantgothic/tp_metal_fence_grate.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/phantgothic/phantgothic_wood_001_wet
{
	{
		map textures/phantgothic/phantgothic_env_wood.tga
		tcgen environment
		rgbgen wave sin .12 .2 0 0
	}
	{
		map textures/phantgothic/phantgothic_wood_001_wet.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .2 .2
		rgbgen identity	
	}
	{
		map textures/phantgothic/phantgothic_wood_001_wet.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}
textures/phantgothic/phantgothic_torchlight
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 800
	
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}
textures/ql/teley
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}
textures/phantgothic/phantgothic_rain
{
	qer_editorimage textures/phantgothic/phantgothic_rain_editor.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
       
	{
		map textures/phantgothic/phantgothic_rain.tga
                tcMod Scroll .1 -4
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
}
textures/phantgothic/tp_spiderweb_004
{
	qer_editorimage textures/phantgothic/tp_spiderweb_004.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	qer_trans 0.5
	cull none
	tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
	
	{
		map textures/phantgothic/tp_spiderweb_004.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/phantgothic/tp_spiderweb_005
{
	qer_editorimage textures/phantgothic/tp_spiderweb_005.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	qer_trans 0.5
	cull none
	tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
	
	{
		map textures/phantgothic/tp_spiderweb_005.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}
textures/phantgothic/phantgothic_rings
{
	qer_editorimage textures/phantgothic/phantgothic_rings.tga
	surfaceparm alphashadow
    	surfaceparm trans	
	surfaceparm nonsolid
        surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantgothic/phantgothic_rings.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/phantgothic/phantgothic_jp_fx
{
	surfaceparm nodamage
	q3map_surfacelight 600
	{
		clampmap textures/phantgothic/phantgothic_jp_fx.tga
		blendFunc GL_ONE GL_ONE
                tcMod rotate 75
	}
}
textures/phantgothic/phantgothic_window_002
{
	qer_editorimage textures/phantgothic/phantgothic_window_002.tga
	q3map_lightimage textures/phantgothic/phantgothic_window_002.tga
	q3map_surfacelight 500
        {
		map textures/phantgothic/phantgothic_window_002.tga
               // blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/phantgothic/phantgothic_stainedglass_001
{
   qer_editorimage textures/phantgothic/phantgothic_stainedglass_001.tga
	
   surfaceparm lightfilter
   surfaceparm nolightmap

   cull disable

   q3map_lightmapFilterRadius 0 4
   q3map_surfacelight 100
   {
      map textures/phantgothic/phantgothic_stainedglass_001.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}
textures/phantgothic/phantgothic_stainedglass_002
{
   qer_editorimage textures/phantgothic/phantgothic_stainedglass_002.tga
	
   surfaceparm lightfilter
   surfaceparm nolightmap

   cull disable

   q3map_lightmapFilterRadius 0 4
   q3map_surfacelight 100
   {
      map textures/phantgothic/phantgothic_stainedglass_002.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/phantgothic/phantgothic_stainedglass_003
{
   qer_editorimage textures/phantgothic/phantgothic_stainedglass_003.tga
	
   surfaceparm lightfilter
   surfaceparm nolightmap

   cull disable

   q3map_lightmapFilterRadius 0 4
   q3map_surfacelight 100
   {
      map textures/phantgothic/phantgothic_stainedglass_003.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}
textures/phantgothic/phantgothic_stainedglass_004
{
	qer_editorimage textures/phantgothic/phantgothic_stainedglass_002.tga
	q3map_lightimage textures/phantgothic/phantgothic_stainedglass_002.tga
	q3map_surfacelight 200
	q3map_bounceScale 64
        {
		map textures/phantgothic/phantgothic_stainedglass_002.tga
               // blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/phantgothic/phantgothic_sky_001

{
	skyparms - 512 -

	q3map_lightImage textures/phantgothic/phantgothic_sky_001.tga

	q3map_sunExt .77 .91 1 75 80 60 3 16
	q3map_lightmapFilterRadius 0 16		//self other
	q3map_skyLight 108 4

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/phantgothic/phantgothic_sky_001.tga

	{
		map textures/phantgothic/phantgothic_sky_001.tga
		tcMod scale 8 8
		tcMod scroll .02 .05
		depthWrite
	}


	{
		map textures/phantgothic/phantgothic_sky_001.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 4 4
		tcMod scroll 0.03 0.05
	}
}
textures/phantgothic/phantgothic_floor_003
{

	{
		map textures/phantgothic/phantgothic_env.tga
		tcgen environment
		rgbgen wave sin .35 0 0 0
	}
	{
		map textures/phantgothic/phantgothic_floor_003.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .9 .9
		rgbgen identity	
	}
	{
		map textures/phantgothic/phantgothic_floor_003.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}
textures/common/blackout
{
	qer_editorimage textures/common/black.tga
	surfaceParm nolightmap  
	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen vertex
	}
}
textures/phantgothic/phantgothic_portal
{
	qer_editorimage textures/phantgothic/phantgothic_portal_3.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull disable
	{ 
		clampmap textures/phantgothic/phantgothic_portal_3.tga
		blendFunc Blend
		rgbgen identity
		tcMod rotate 25
	}
	{ 
		clampmap textures/phantgothic/phantgothic_portal_3.tga
		blendFunc Blend
		rgbgen identity
		tcMod rotate 75
		tcMod stretch sin 1.125 .5 .1 .1
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}
textures/ad_content/dm1
{   
	qer_editorimage textures/ad_content/dm1.jpg
	nopicmip
	{
		map textures/ad_content/dm1.jpg
	}
	{
		map textures/ad_content/dm1_glow.jpg
		blendfunc add
	    	rgbGen Wave sin .6 0 0 0
		tcmod scroll 0 -0.75
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    	rgbGen wave sin .15 0 0 0
		blendfunc add
	}	
	
}